<template>
     <section>
         <Navbar></Navbar>         
          <div class="signupContainer">          
            <h2>Quoi de neuf aujourd'hui ? 🎭</h2>
            <form id="form-signup" >
              <div class="form-group">
                <label for="title">Titre :</label>
                <input type="text" id="title" name="title" class="form-control" required v-model="inputPost.title"/>
              </div>
              <div class="form-group">
                <label for="content">Contenu :</label>
                <textarea type="text" id="content" name="content" rows="10" class="form-control" required v-model="inputPost.content"></textarea>
              </div>
            </form>              
             <button v-on:click="sendPost" >Envoyer</button> 
          </div> 
            
     </section> 
</template>

<script>
import Navbar from '../components/Navbar'
export default {
    name: 'Post',
    components: {
        Navbar,     
    },

    data() {
        return {
            inputPost: {
                title: "",
                content: "",
                image: "",
                likes: ""
            },
            userId: ""
        }
    },

    mounted() {
        this.userId = JSON.parse(sessionStorage.getItem("userId"));
        console.log(this.userId)
    },

    methods: {
        sendPost() {
            let deliverPost = {
                "title": this.inputPost.title,
                "content": this.inputPost.content,
                "image": this.inputPost.image,
                "likes": this.inputPost.likes,
                "userId": this.userId
            }
            console.log(deliverPost)
            let url = "http://localhost:3000/api/posts/"
            let options = {
                method: "POST",
                body: JSON.stringify(deliverPost),
                headers: {
                    'Authorization': 'Bearer ' + sessionStorage.getItem("token"),
                    'Content-Type': 'application/json'
                }
            }
            fetch(url, options)
                .then(res => res.json())
                .then((res) => {
                    console.log(res)
                    if (res.ok) {
                        window.location.reload();
                        this.inputPost = {} 
                    } else {
                        alert("Post bien reçu 🖅");
                    }
                })
                .then(this.$router.push("/postList"))
                .catch(error => console.log(error))
        }
    }
}
</script>

<style lang="css">
section {
    display: flex;
    margin: auto;
    flex-direction: column;
}
.parametres {
    margin-top: 0;
    margin-bottom: 25px;
}
a {
    cursor: pointer;
}
textarea {
    height: auto;
    resize:none;
}
@media screen and (max-width: 768px) {
	section {
    flex-direction: column;
    margin-top: 25px;
}
}

</style>